--- old/usr/src/uts/common/io/ib/adapters/hermon/hermon_rsrc.c	Sun Jun 11 17:03:27 2017
+++ new/usr/src/uts/common/io/ib/adapters/hermon/hermon_rsrc.c	Sun Jun 11 17:03:27 2017
@@ -198,7 +198,6 @@
 	if (tmp_rsrc_hdl == NULL) {
 		return (DDI_FAILURE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*tmp_rsrc_hdl))
 
 	/*
 	 * Set rsrc_hdl type.  This is later used by the hermon_rsrc_free call
@@ -323,7 +322,6 @@
 	if (tmp_rsrc_hdl == NULL) {
 		return (DDI_FAILURE);
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*tmp_rsrc_hdl))
 
 	/*
 	 * Set rsrc_hdl type.  This is later used by the hermon_rsrc_free call
@@ -2083,12 +2081,10 @@
 	mutex_enter(&icm_table->icm_table_lock);
 	hermon_bitmap(bitmap, dma_info, icm_table, index1, num_to_hdl);
 	while (num) {
-#ifndef __lock_lint
 		while (icm_table->icm_busy) {
 			cv_wait(&icm_table->icm_table_cv,
 			    &icm_table->icm_table_lock);
 		}
-#endif
 		if (!HERMON_BMAP_BIT_ISSET(bitmap, index2)) {
 			/* Allocate ICM for this span */
 			icm_table->icm_busy = 1;
@@ -2359,7 +2355,6 @@
 		return (DDI_FAILURE);
 	}
 	addr = (hermon_pdhdl_t)hdl->hr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*addr))
 
 	/* Allocate a PD number for the handle */
 	flag = (sleepflag == HERMON_SLEEP) ? VM_SLEEP : VM_NOSLEEP;
